VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Enumerations | Variables
ivstcomponent.h File Reference
`#include "pluginterfaces/base/ipluginbase.h"`
`#include "pluginterfaces/vst/vsttypes.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
struct | BusInfo
| BusInfo: This is the structure used with getBusInfo, informing the host about what is a specific given bus. More...
struct | RoutingInfo
| Routing Information: When the plug-in supports multiple I/O busses, a host may want to know how the busses are related. More...
class | IComponent
| Component base interface: Vst::IComponent. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Macros
#define | BEGIN_FACTORY_DEF(vendor, url, email)

## Enumerations
enum | MediaTypes { kAudio = 0 , kEvent , kNumMediaTypes }
| Bus media types. More...
enum | BusDirections { kInput = 0 , kOutput }
| Bus directions. More...
enum | BusTypes { kMain = 0 , kAux }
| Bus types. More...
enum | IoModes { kSimple = 0 , kAdvanced , kOfflineProcessing }
| I/O modes. More...

## Variables
const int32 | kDefaultFactoryFlags = PFactoryInfo::kUnicode
| Standard value for PFactoryInfo::flags.

## Macro Definition Documentation

## ◆ BEGIN_FACTORY_DEF

#define BEGIN_FACTORY_DEF | ( |  | vendor,
|  |  | url,
|  |  | email )

Value:
using namespace Steinberg; \
SMTG_EXPORT_SYMBOL IPluginFactory* PLUGIN_API GetPluginFactory () { \
if (!gPluginFactory) \
{ \
static PFactoryInfo factoryInfo (vendor, url, email, Vst::kDefaultFactoryFlags); \
gPluginFactory = new CPluginFactory (factoryInfo);
Steinberg::CPluginFactory
Steinberg::IPluginFactory
GetPluginFactory
SMTG_EXPORT_SYMBOL Steinberg::IPluginFactory * GetPluginFactory()
Steinberg::Vst::kDefaultFactoryFlags
const int32 kDefaultFactoryFlags
Standard value for PFactoryInfo::flags.
Definition ivstcomponent.h:35
Steinberg
Steinberg::PFactoryInfo
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.